#include <stdlib.h>
#include <sys/creds.h>
#include <glib.h>
#include <unistd.h>

static const char require[] = "backup-framework::backup";

int main(int argc, char *argv[])
{
	creds_type_t require_type;
	creds_value_t require_value;
	creds_t creds;
	int allow;

	require_type = creds_str2creds(require, &require_value);

	if (require_type == CREDS_BAD) {
		g_debug("creds_bad");
		return 2;
	}

	/* check credentials of parent process */
	creds = creds_gettask(getppid());

	allow = creds_have_p(creds, require_type, require_value);

	creds_free(creds);

	if (allow)
		return system("/usr/share/bluez/bluez-restore.sh");
	else
		return 2;
}
